diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
index 0b34a6071..62da02c17 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
@@ -15,7 +16,7 @@ public class HudComponentFireBar
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawHotbar() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.remainingFireTicks > 0;
+        return GameSettings.IMMERSIVE_MODE.drawHotbar() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.remainingFireTicks > 0;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
index 294532b28..3e16b341e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
@@ -26,7 +27,7 @@ public class HudComponentHealthBar
 
     @Override
     public boolean isVisible() {
-        return !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.gameSettings.immersiveMode.drawHotbar();
+        return !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && GameSettings.IMMERSIVE_MODE.drawHotbar();
     }
 
     @Override
@@ -78,7 +79,7 @@ public class HudComponentHealthBar
                 hud.drawGuiIcon(xHeart, yHeart, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/" + (isHardcore ? "hardcore_" : "") + "half"));
             }
 
-            if (mc.gameSettings.foodHealthRegenOverlay.value) {
+            if (GameSettings.FOOD_HEALTH_REGEN_OVERLAY.value) {
                 int healing = 0;
                 ItemStack held = mc.thePlayer.getHeldItem();
                 if (held != null) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
index 070a574ca..6c76c10c4 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
@@ -23,12 +24,12 @@ public class HudComponentHeldItemCount
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawOverlays() && mc.gameSettings.heldItemCountOverlay.value;
+        return GameSettings.IMMERSIVE_MODE.drawOverlays() && GameSettings.HELD_ITEM_COUNT_OVERLAY.value;
     }
 
     @Override
     public boolean isEnabled() {
-        return mc.gameSettings.heldItemCountOverlay.value;
+        return GameSettings.HELD_ITEM_COUNT_OVERLAY.value;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
index 1872d0e93..546d10460 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
@@ -4,6 +4,7 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.Scissor;
@@ -50,7 +51,7 @@ public class HudComponentHotbar
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawHotbar();
+        return GameSettings.IMMERSIVE_MODE.drawHotbar();
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java
index aefc6f87c..1ba7ed0f5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentInfoOverlay.java
@@ -5,6 +5,7 @@ import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
 import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.core.Global;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
@@ -12,8 +13,8 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.player.gamemode.Gamemodes;
 import net.minecraft.core.util.helper.Direction;
-import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.biome.Biomes;
+import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.season.Season;
 import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.weather.Weather;
@@ -29,7 +30,7 @@ public class HudComponentInfoOverlay
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawOverlays() && !mc.gameSettings.showDebugScreen.value;
+        return GameSettings.IMMERSIVE_MODE.drawOverlays() && !GameSettings.SHOW_DEBUG_SCREEN.value;
     }
 
     private void drawString(String string, int x, int y, int argb, boolean rightAligned) {
@@ -52,8 +53,7 @@ public class HudComponentInfoOverlay
             if (anchor == ComponentAnchor.TOP_RIGHT || anchor == ComponentAnchor.CENTER_RIGHT || anchor == ComponentAnchor.BOTTOM_RIGHT) {
                 rightAligned = true;
             }
-        } else if (this.getLayout() instanceof LayoutSnap) {
-            final LayoutSnap layout = (LayoutSnap) this.getLayout();
+        } else if (this.getLayout() instanceof LayoutSnap layout) {
             final ComponentAnchor anchor = layout.getAnchor();
             if (anchor == ComponentAnchor.TOP_RIGHT || anchor == ComponentAnchor.CENTER_RIGHT || anchor == ComponentAnchor.BOTTOM_RIGHT) {
                 rightAligned = true;
@@ -89,67 +89,64 @@ public class HudComponentInfoOverlay
         int line = 0;
         int lineHeight = 10;
 
-        if (mc.gameSettings.versionInOverlay.value) {
+        if (GameSettings.VERSION_IN_OVERLAY.value) {
             int color;
-            if (mc.gameSettings.overlayMode.value == 2) {
+            if (GameSettings.OVERLAY_MODE.value == 2) {
                 color = 0xFFFFFF60;
             } else {
                 color = 0xFFFFFFFF;
             }
             drawString("Better than Adventure! " + TextFormatting.WHITE + Global.VERSION, x, y + tsp + lineHeight * line++, color, rightAligned);
         }
-        if (mc.gameSettings.fpsInOverlay.value) {
+        if (GameSettings.FPS_IN_OVERLAY.value) {
             drawString(mc.lingDebugFPS, x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
         }
         if (compass) {
-            if (mc.gameSettings.overlayShowCoords.value) {
-                if (mc.gameSettings.overlayMode.value == 0) {
+            if (GameSettings.OVERLAY_SHOW_COORDS.value) {
+                if (GameSettings.OVERLAY_MODE.value == 0) {
                     drawString("x: " + floor10(mc.thePlayer.x) + " y: " + floor10(mc.thePlayer.y) + " z: " + floor10(mc.thePlayer.z), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 1) {
+                if (GameSettings.OVERLAY_MODE.value == 1) {
                     drawString("x: " + floor10(mc.thePlayer.x), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                     drawString("y: " + floor10(mc.thePlayer.y), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                     drawString("z: " + floor10(mc.thePlayer.z), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 2) {
+                if (GameSettings.OVERLAY_MODE.value == 2) {
                     drawString("x: " + floor10(mc.thePlayer.x), x, y + tsp + lineHeight * line++, 0xFFFF8080, rightAligned);
                     drawString("y: " + floor10(mc.thePlayer.y), x, y + tsp + lineHeight * line++, 0xFF80FF80, rightAligned);
                     drawString("z: " + floor10(mc.thePlayer.z), x, y + tsp + lineHeight * line++, 0xFF8080FF, rightAligned);
                 }
             }
-            if (mc.gameSettings.overlayShowDirection.value) {
+            if (GameSettings.OVERLAY_SHOW_DIRECTION.value) {
                 drawString(I18n.getInstance().translateKey(HudIngame.getFacingDirection(mc.thePlayer).getTranslationKey()), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
             }
         }
         if (clock) {
-            if (mc.gameSettings.overlayShowTime.value) {
-                if (mc.gameSettings.overlayMode.value == 0) {
-                    drawString(String.format("%s %s %d", HudIngame.getTimeString(mc), I18n.getInstance().translateKey("unit.day"), mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
+            if (GameSettings.OVERLAY_SHOW_TIME.value) {
+                if (GameSettings.OVERLAY_MODE.value == 0) {
+                    drawString(String.format("%s %s %d", HudIngame.getTimeString(mc), I18n.getInstance().translateKey("unit.day"), mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value > 0) {
-                    drawString(HudIngame.getTimeString(mc), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
-                    drawString(String.format("%s %d", I18n.getInstance().translateKey("unit.day"), mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
+                if (GameSettings.OVERLAY_MODE.value > 0) {
+                    drawString(HudIngame.getTimeString(mc), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
+                    drawString(String.format("%s %d", I18n.getInstance().translateKey("unit.day"), mc.currentWorld.getWorldTime() / Global.DAY_LENGTH_TICKS), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
             }
         }
         if (rotaryCalendar) {
-            if (mc.gameSettings.overlayShowSeason.value) {
+            if (GameSettings.OVERLAY_SHOW_SEASON.value) {
                 Season season = mc.currentWorld.getSeasonManager().getCurrentSeason();
                 if (season != null) {
-                    drawString(season.getTranslatedName(), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFF80FFFF : 0xFFFFFFFF, rightAligned);
+                    drawString(season.getTranslatedName(), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFF80FFFF : 0xFFFFFFFF, rightAligned);
                 }
             }
-            if (mc.gameSettings.overlayShowWeather.value) {
+            if (GameSettings.OVERLAY_SHOW_WEATHER.value) {
                 Weather weather = mc.currentWorld.getCurrentWeather();
                 if (weather != null && weather != mc.currentWorld.worldType.getDefaultWeather()) {
-                    drawString(I18n.getInstance().translateKey(weather.getNameLanguageKey()), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFF80FF : 0xFFFFFFFF, rightAligned);
+                    drawString(I18n.getInstance().translateKey(weather.getNameLanguageKey()), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFF80FF : 0xFFFFFFFF, rightAligned);
                 }
             }
-            if (mc.gameSettings.overlayShowBiome.value) {
-                int blockX = MathHelper.floor(mc.thePlayer.x);
-                int blockY = MathHelper.floor(mc.thePlayer.y);
-                int blockZ = MathHelper.floor(mc.thePlayer.z);
-                String key = mc.currentWorld.getBlockBiome(blockX, blockY, blockZ).translationKey;
+            if (GameSettings.OVERLAY_SHOW_BIOME.value) {
+                String key = mc.currentWorld.getBlockBiome(new TilePos(mc.thePlayer)).translationKey;
                 drawString(I18n.getInstance().translateKey(key), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
             }
         }
@@ -188,15 +185,15 @@ public class HudComponentInfoOverlay
                 final double py = 64.355;
                 final double pz = 38472.333;
 
-                if (mc.gameSettings.overlayMode.value == 0) {
+                if (GameSettings.OVERLAY_MODE.value == 0) {
                     drawString("x: " + floor10(px) + " y: " + floor10(py) + " z: " + floor10(pz), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 1) {
+                if (GameSettings.OVERLAY_MODE.value == 1) {
                     drawString("x: " + floor10(px), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                     drawString("y: " + floor10(py), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                     drawString("z: " + floor10(pz), x, y + tsp + lineHeight * line++, 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value == 2) {
+                if (GameSettings.OVERLAY_MODE.value == 2) {
                     drawString("x: " + floor10(px), x, y + tsp + lineHeight * line++, 0xFFFF8080, rightAligned);
                     drawString("y: " + floor10(py), x, y + tsp + lineHeight * line++, 0xFF80FF80, rightAligned);
                     drawString("z: " + floor10(pz), x, y + tsp + lineHeight * line++, 0xFF8080FF, rightAligned);
@@ -208,23 +205,23 @@ public class HudComponentInfoOverlay
         }
         {
             {
-                if (mc.gameSettings.overlayMode.value == 0) {
-                    drawString(String.format("%s %s %d", "8:32", I18n.getInstance().translateKey("unit.day"), 500), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
+                if (GameSettings.OVERLAY_MODE.value == 0) {
+                    drawString(String.format("%s %s %d", "8:32", I18n.getInstance().translateKey("unit.day"), 500), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
-                if (mc.gameSettings.overlayMode.value > 0) {
-                    drawString("8:32", x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
-                    drawString(String.format("%s %d", I18n.getInstance().translateKey("unit.day"), 500), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
+                if (GameSettings.OVERLAY_MODE.value > 0) {
+                    drawString("8:32", x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
+                    drawString(String.format("%s %d", I18n.getInstance().translateKey("unit.day"), 500), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFFFF80 : 0xFFFFFFFF, rightAligned);
                 }
             }
         }
         {
             {
                 Season season = Seasons.OVERWORLD_SUMMER;
-                drawString(season.getTranslatedName(), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFF80FFFF : 0xFFFFFFFF, rightAligned);
+                drawString(season.getTranslatedName(), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFF80FFFF : 0xFFFFFFFF, rightAligned);
             }
             {
                 Weather weather = Weathers.OVERWORLD_FOG;
-                drawString(I18n.getInstance().translateKey(weather.getNameLanguageKey()), x, y + tsp + lineHeight * line++, mc.gameSettings.overlayMode.value == 2 ? 0xFFFF80FF : 0xFFFFFFFF, rightAligned);
+                drawString(I18n.getInstance().translateKey(weather.getNameLanguageKey()), x, y + tsp + lineHeight * line++, GameSettings.OVERLAY_MODE.value == 2 ? 0xFFFF80FF : 0xFFFFFFFF, rightAligned);
             }
             {
                 String key = Biomes.OVERWORLD_GRASSLANDS.translationKey;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java
index fe82a2ace..455b1e9a7 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java
@@ -7,6 +7,7 @@ import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
 import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.client.render.renderer.BlendFactor;
 import net.minecraft.client.render.renderer.GLRenderer;
@@ -65,12 +66,12 @@ public class HudComponentLog extends HudComponentMovable {
 
     @Override
     public boolean isEnabled() {
-        return mc.gameSettings.developerMode.value;
+        return GameSettings.DEVELOPER_MODE.value;
     }
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.developerMode.value;
+        return GameSettings.DEVELOPER_MODE.value;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
index b04117d28..473b48cf0 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
@@ -23,7 +24,7 @@ public class HudComponentOxygenBar
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawHotbar() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.isUnderLiquid(Materials.WATER);
+        return GameSettings.IMMERSIVE_MODE.drawHotbar() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.isUnderLiquid(Materials.WATER);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
index 764d3468e..5a3c03019 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
@@ -17,7 +18,7 @@ public class HudComponentRotationLock
 
     @Override
     public boolean isVisible() {
-        return mc.thePlayer.rotationLock != null && mc.thePlayer.rotationLock != Direction.NONE && mc.gameSettings.immersiveMode.drawOverlays();
+        return mc.thePlayer.rotationLock != null && mc.thePlayer.rotationLock != Direction.NONE && GameSettings.IMMERSIVE_MODE.drawOverlays();
     }
 
     @Override
@@ -29,7 +30,7 @@ public class HudComponentRotationLock
         int x = this.getLayout().getComponentX(this, xSizeScreen);
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
-        String prefix = mc.gameSettings.rotationOverlayMode.value % 2 == 1 ? "arrow" : "cube";
+        String prefix = GameSettings.ROTATION_OVERLAY_MODE.value % 2 == 1 ? "arrow" : "cube";
 
         Player player = mc.thePlayer;
 
@@ -81,7 +82,7 @@ public class HudComponentRotationLock
         GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
         GLRenderer.enableState(State.BLEND);
 
-        String prefix = mc.gameSettings.rotationOverlayMode.value % 2 == 1 ? "arrow" : "cube";
+        String prefix = GameSettings.ROTATION_OVERLAY_MODE.value % 2 == 1 ? "arrow" : "cube";
 
         gui.drawGuiIcon(x, y, 16, 16, TextureRegistry.getTexture("minecraft:gui/hud/rotation/" + prefix + "_front"));
         gui.drawGuiIcon(x + 16, y + 4, 8, 8, TextureRegistry.getTexture("minecraft:gui/hud/rotation/" + prefix + "_downer"));
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
index d458922b9..db97755eb 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
@@ -4,6 +4,7 @@ import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.subtitles.SubtitleTracker;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.BlendFactor;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
@@ -19,12 +20,12 @@ public class HudComponentSubtitles extends HudComponentMovable {
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawOverlays() && mc.gameSettings.subtitles.value;
+        return GameSettings.IMMERSIVE_MODE.drawOverlays() && GameSettings.SUBTITLES.value;
     }
 
     @Override
     public boolean isEnabled() {
-        return mc.gameSettings.subtitles.value;
+        return GameSettings.SUBTITLES.value;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
index 3ab76caad..f374690da 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
@@ -21,7 +22,7 @@ public class HudComponentVehicleHealthBar
 
     @Override
     public boolean isVisible() {
-        return mc.thePlayer.vehicle instanceof Mob && mc.gameSettings.immersiveMode.drawHotbar();
+        return mc.thePlayer.vehicle instanceof Mob && GameSettings.IMMERSIVE_MODE.drawHotbar();
     }
 
     @Override
